%global srcname fixtures

Name:           python-%{srcname}
Version:        3.0.0
Release:        %mkrel 8
Summary:        Fixtures, reusable state for writing clean tests and more

Group:          Development/Python
License:        ASL2 or BSD
URL:            https://launchpad.net/python-fixtures
Source0:        https://pypi.io/packages/source/f/%{srcname}/%{srcname}-%version.tar.gz
BuildArch:      noarch

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%package -n     python3-%{srcname}
Summary:        Fixtures, reusable state for writing clean tests and more
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to make
it easy to write your own fixtures using the fixtures contract. Glue code
is provided that makes using fixtures that meet the Fixtures contract in
unittest compatible test cases easy and straight forward.

%prep
%setup -q -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README GOALS NEWS Apache-2.0 BSD COPYING
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-8.mga8
+ Revision: 1531444
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 3.0.0-7.mga8
+ Revision: 1440346
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 3.0.0-6.mga7
+ Revision: 1352162
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-5.mga7
+ Revision: 1288896
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 3.0.0-4.mga7
+ Revision: 1210804
- Renamed python-fixtures to python2-fixtures

* Thu Oct 05 2017 tv <tv> 3.0.0-3.mga7
+ Revision: 1169043
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 3.0.0-2.mga7
+ Revision: 1135425
- Rebuild for python 3.6

* Tue Aug 01 2017 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1133439
- new version: 3.0.0

* Sat Feb 20 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 971083
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 889243
- new version: 1.4.0 + rebuild for python 3.5
- use new python macros

* Fri Sep 04 2015 daviddavid <daviddavid> 1.3.1-2.mga6
+ Revision: 872777
- add python3 package
- use new python2 macro
- update file list

* Mon Aug 31 2015 fwang <fwang> 1.3.1-1.mga6
+ Revision: 871486
- update license
- imported package python-fixtures

